[Swift-commit] r2851 - usertools/cio/bin
noreply at svn.ci.uchicago.edu
noreply at svn.ci.uchicago.edu
Thu Apr 9 14:29:45 CDT 2009
Author: aespinosa
Date: 2009-04-09 14:29:44 -0500 (Thu, 09 Apr 2009)
New Revision: 2851
Added:
usertools/cio/bin/falkon_vanilla.sh
usertools/cio/bin/gentcdata
usertools/cio/bin/swift_bgp.sh
Modified:
usertools/cio/bin/ciologic-bgp.sh
Log:
Swift wrapper for the bluegene
Modified: usertools/cio/bin/ciologic-bgp.sh
===================================================================
--- usertools/cio/bin/ciologic-bgp.sh 2009-04-09 19:29:16 UTC (rev 2850)
+++ usertools/cio/bin/ciologic-bgp.sh 2009-04-09 19:29:44 UTC (rev 2851)
@@ -134,8 +134,9 @@
#Core MTIO logic
if [ $DHT -eq 0 ]; then
- $CIOROOT/libexec/hashserver.rb
-else [ $RANK -eq $IFS_RANK ]; then
+ RUBY=/home/espinosa/local/bin/ruby
+ $RUBY $CIOROOT/libexec/hashserver.rb
+elif [ $RANK -eq $IFS_RANK ]; then
ifs_head $STRIPE_SIZE
/home/zzhang/cio/bin/collector.sh
elif [ $RANK -lt $IFS_SLAVE ]; then
Copied: usertools/cio/bin/falkon_vanilla.sh (from rev 2835, usertools/cio/bin/falkon-start.sh)
===================================================================
--- usertools/cio/bin/falkon_vanilla.sh (rev 0)
+++ usertools/cio/bin/falkon_vanilla.sh 2009-04-09 19:29:44 UTC (rev 2851)
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if [ -z $CIOROOT ]; then
+ echo "ERROR: CIOROOT env not defined"
+ exit 1
+fi
+if [ -z $CIOARCH ]; then
+ echo "ERROR: CIOARCH not defined"
+ exit 1
+fi
+if [ -z $CHIRPROOT ]; then
+ echo "ERROR: CHIRPROOT not defined"
+ exit 1
+fi
+$CIOROOT/libexec/falkon/falkon_vanilla-$CIOARCH.sh $@
Added: usertools/cio/bin/gentcdata
===================================================================
--- usertools/cio/bin/gentcdata (rev 0)
+++ usertools/cio/bin/gentcdata 2009-04-09 19:29:44 UTC (rev 2851)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+awk -v count=$1 '
+
+/@BGP@/ {
+ for (i=0;i<count;i++) {
+ line=$0
+ n=sprintf("BGP_%.3d",i);
+ sub(/@BGP@/,n,line);
+ print line
+ }
+}
+'
Property changes on: usertools/cio/bin/gentcdata
___________________________________________________________________
Name: svn:executable
+ *
Added: usertools/cio/bin/swift_bgp.sh
===================================================================
--- usertools/cio/bin/swift_bgp.sh (rev 0)
+++ usertools/cio/bin/swift_bgp.sh 2009-04-09 19:29:44 UTC (rev 2851)
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+if [ -z "$3" ]; then
+ echo "usage: $0 <FALKON_ID> <NUM_NODES> <swift_script>"
+ exit 1
+fi
+
+CUR_DIR=`pwd`
+
+FALKON_JOB_ID=$1
+NUM_NODES=$2
+SWIFT_SCRIPT=$3
+
+SERVICE_LIST_FILE=/home/falkon/users/${USER}/${FALKON_JOB_ID}/config/Client-service-URIs.config
+let NUM_ION=NUM_NODES/64
+
+echo "waiting for at least ${NUM_NODES} nodes to register before submitting workload..."
+falkon-wait-for-allocation.sh ${SERVICE_LIST_FILE} ${NUM_ION}
+
+echo "found at least ${NUM_NODES} registered, submitting workload..."
+
+workdir=`pwd`/work
+
+# Base entry for localhost
+
+cat >sites.xml <<END
+<config>
+END
+
+# Create one entry per falkon server (i.e. one per pset)
+
+let s=0
+tail +2 $SERVICE_LIST_FILE |
+while read ip port; do
+ server=`echo $s | awk '{printf "%.3d", $1}'`
+ cat >>sites.xml <<END
+ <pool handle="BGP_$server">
+ <execution provider="deef" url="http://$ip:50001/wsrf/services/GenericPortal/core/WS/GPFactoryService"/>
+ <gridftp url="local://localhost"/>
+ <workdirectory>$workdir</workdirectory>
+ <profile namespace="karajan" key="jobThrottle">8</profile>
+ <profile namespace="karajan" key="initialScore">1000</profile>
+ </pool>
+
+END
+ let s=$s+1
+done
+
+echo "</config>" >> sites.xml
+
+shift 2 # leave $3 and following - swift script and args
+
+if [ ! -f ./tc.data ]; then
+ echo "ERROR: tc.data not found"
+ exit 1
+fi
+
+swift </dev/null -sites.file ./sites.xml -tc.file ./tc.data $*
Property changes on: usertools/cio/bin/swift_bgp.sh
___________________________________________________________________
Name: svn:executable
+ *
More information about the Swift-commit
mailing list